<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>ROYTIP</title>

    <link rel="shortcut icon" href="{{{ asset('img/logo.png') }}}">
    <link href="{{ asset('vendor\bootstrap\css\bootstrap.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet">
    <link href="{{ asset('vendor/fontawesome-free/css/all.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/resume.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Fascinate+Inline" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Sriracha" rel="stylesheet">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <style>
        .maxText {
            white-space: nowrap; 
            width: 160px; 
            overflow: hidden;
            text-overflow: ellipsis;
        }
        .ff {
            color: black;
            font-size: 20px;
            font-family: 'Fascinate Inline', cursive;

        }

        .fg {
            color: black;
            font-size: 40px;
            font-family: 'Sriracha', cursive;
        }

        .cardshow {
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.8);
            transition: 0.8s;
            border-radius: 20px;
            position: relative;
            margin: 0% auto;
            padding: 20px 20px 13px 20px;
            border: solid;
            border-color: black;
            border-width: 2px;
        }

        .icon {
            width: 40px;
            height: 40px;
        }

        .icondelete {
            width: 50px;
            height: 40px;
        }

        .iconedit {
            width: 40px;
            height: 40px;
        }

        .iconcomment {
            width: 70px;
            height: 70px;
        }

        body {
            background-image: url({{url('img/background.png')}});
        background-attachment: fixed;
        }

        .R {
            text-align: right;
        }

        .L {
            text-align: left;
        }

        .bt {
            text-align: center;
            font-size: 20px;
            width: 300px;
            height: 100px;
        }

        .postbox {
            border: 1px solid black;
            padding: 25px;
            margin: 25px;
        }

        article>.p {
            text-overflow: '...?';
        }

        .dropdown {
            position: relative;
            display: inline-block;
        }

        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            padding: 12px 16px;
            z-index: 1;
        }

        .dropdown:hover .dropdown-content {
            display: block;
        }

        /* modalEdit */

        #modalWindowEdit {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: rgba(0, 0, 0, 0.4);
            z-index: 99999;
            opacity: 0;
            transition: opacity 400ms linear;
            pointer-events: none;
        }

        #modalWindowEdit:target {
            opacity: 1;
            pointer-events: auto;
        }

        #modalWindowEdit>div {
            width: 50%;
            position: relative;
            margin: 10% auto;
            padding: 20px 20px 13px 20px;
            background: #f3f3f3;
            border-radius: 10px;
        }

        /* modalDeletePost */

        #modalDeletePost {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: rgba(0, 0, 0, 0.4);
            z-index: 99999;
            opacity: 0;
            transition: opacity 400ms linear;
            pointer-events: none;
        }

        #modalDeletePost:target {
            opacity: 1;
            pointer-events: auto;
        }

        #modalDeletePost>div {
            width: 50%;
            position: relative;
            margin: 10% auto;
            padding: 20px 20px 13px 20px;
            background: #f3f3f3;
            border-radius: 10px;
        }

        /* modalDeleteComment */

        #modalDeleteComment {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: rgba(0, 0, 0, 0.4);
            z-index: 99999;
            opacity: 0;
            transition: opacity 400ms linear;
            pointer-events: none;
        }

        #modalDeleteComment:target {
            opacity: 1;
            pointer-events: auto;
        }

        #modalDeleteComment>div {
            width: 50%;
            position: relative;
            margin: 10% auto;
            padding: 20px 20px 13px 20px;
            background: #f3f3f3;
            border-radius: 10px;
        }
    </style>
</head>

<body>
    <div id="app">
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
            <a class="navbar-brand js-scroll-trigger" href="#page-top">
                <span class="d-block d-lg-none">พันทิป</span>
                <span class="d-none d-lg-block">
                    <img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="https://www.img.in.th/images/87c4f248b0f90e8eb8404caa2e4fc4cc.png" alt="">
                </span>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav">
                    <h3 class="link js-scroll-trigger">{{ Auth::user()->name }}</h3>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger" href="/posts">หน้าหลัก</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger" href="{{ route('post.i',Auth::user()->id ) }}">กระทู้ของฉัน</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger" href="/post/create">ตั้งกระทู้</a>
                    </li>
                    <li class="nav-item">
                        <div class="dropdown">
                            <a class="nav-link js-scroll-trigger">เลือกหมวดหมู่</a>
                            <div class="dropdown-content">
                                <a href="{{ route('categ.show','กีฬา')}}">กีฬา</a><br>
                                <a href="{{ route('categ.show','การ์ตูน')}}">การ์ตูน</a><br>
                                <a href="{{ route('categ.show','ความรัก')}}">ความรัก</a><br>
                                <a href="{{ route('categ.show','ไอที')}}">ไอที</a><br>
                                <a href="{{ route('categ.show','การเมือง')}}">การเมือง</a><br>
                                <a href="{{ route('categ.show','อาหาร')}}">อาหาร</a><br>
                                <a href="{{ route('categ.show','สัตว์')}}">สัตว์</a><br>
                                <a href="{{ route('categ.show','เพลง')}}">เพลง</a><br>
                                <a href="{{ route('categ.show','ภาพยนตร์')}}">ภาพยนตร์</a>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item">
                        <br><br><br><br><br><br><br><br>
                    </li>
                    <li class="nav-item ">
                        <a class="nav-link js-scroll-trigger" href="{{ route('logout') }}" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                            {{ __('Logout') }}
                        </a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            @csrf
                        </form>
                    </li>
                    <li class="nav-item">
                        <!-- <a class="nav-link js-scroll-trigger" href="/Login">เข้าสู่ระบบ</a> -->
                        <!-- <a class="nav-link js-scroll-trigger" href="{{ route('login') }}">เข้าสู่ระบบ</a> -->
                    </li>
                    <li class="nav-item">
                        <!-- <a class="nav-link js-scroll-trigger" href="/Register">สมัครสมาชิก</a> -->
                        <!-- <a class="nav-link js-scroll-trigger" href="{{ route('register') }}">สมัครสมาชิก</a> -->
                    </li>
                </ul>
            </div>
        </nav>
        <main class="py-4">
            @include('inc.messages')
            @yield('content')
        </main>
    </div>
</body>

</html>